import { Controller, EventListenerController } from '@a11d/lit';
export class PointerController extends Controller {
    constructor(host, target) {
        var _a, _b;
        super(host);
        this.host = host;
        this.target = target;
        this._hover = false;
        this.anchorPointerIn = new EventListenerController(this.host, {
            type: 'pointerenter',
            target: (_a = this.target) !== null && _a !== void 0 ? _a : this.host,
            listener: () => this._hover = true
        });
        this.anchorPointerOut = new EventListenerController(this.host, {
            type: 'pointerleave',
            target: (_b = this.target) !== null && _b !== void 0 ? _b : this.host,
            listener: () => this._hover = false
        });
    }
    get hover() { return this._hover; }
}
